package com.tptj.demo.hg.web.service;

import com.fr.stable.fun.Service;
import com.fr.stable.web.RequestCMDReceiver;
import com.fr.web.core.WebActionsDispatcher;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-18
 **/
public class DemoDefaultCMD implements Service {
    @Override
    public String actionOP() {
        return "dftcmd";
    }

    /**
     * 一个cmd对应一个RequestCMDReceiver
     */
    private RequestCMDReceiver[] actions = new RequestCMDReceiver[]{
            new ActionTest(),
            new ActionTest1()
    };
    /**
     * 如果使用WebActionsDispatcher.dealForActionDefaultCmd时，请求中没有传递cmd这个参数，则可以传递一个默认的cmd进去
     */
    private static final String dftCmd = "test";


    @Override
    public void process(HttpServletRequest request, HttpServletResponse response, String op, String sessionID ) throws Exception {
        WebActionsDispatcher.dealForActionDefaultCmd( request, response, sessionID, actions, dftCmd);
    }
}

