package com.tptj.demo.hg.web.service;

import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.Service;
import com.fr.stable.web.RequestCMDReceiver;
import com.fr.web.core.WebActionsDispatcher;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-18
 * 这也是为数不多的不用继承Abstract类的插件接口
 * 这个接口虽然注册在extra-core 但是在10.0以后只有报表请求才会用到了
 **/
@EnableMetrics
public class DemoBasic implements Service {
    @Override
    public String actionOP() {
        return "demo";
    }

    /**
     * 一个cmd对应一个RequestCMDReceiver
     */
    private RequestCMDReceiver [] actions = new RequestCMDReceiver[]{
        new ActionTest(),
        new ActionTest1()
    };


    @Override
    @Focus(id = "com.tptj.demo.hg.web.service.v10",text = "报表web接口")
    public void process(HttpServletRequest request, HttpServletResponse response, String op, String sessionID ) throws Exception {
        //最常见的调用方式就是这种了
        WebActionsDispatcher.dealForActionCMD( request, response, sessionID, actions);
    }
}
